Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2

From: Pieter van Oostrum <[email-masked]>
Date: Sat, 11 Jan 2020 22:23:49 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Pieter van Oostrum <[email-masked]>
>> Date: Sat, 11 Jan 2020 19:37:02 +0100
>> Cc: Pip Cet <[email-masked]>, [email-masked], [email-masked],
>>  [email-masked], [email-masked]
>> 
>> Robert Pluim <[email-masked]> writes:
>> 
>> >     Pip> diff --git a/src/nsterm.m b/src/nsterm.m
>> >     Pip> index 03754e5ae5..c1d1d41117 100644
>> >     Pip> --- a/src/nsterm.m
>> >     Pip> +++ b/src/nsterm.m
>> >     Pip> @@ -1644,6 +1644,7 @@ Hide the window (X11 semantics)
>> >     Pip>    [view release];
>> >  
>> >     Pip>    xfree (f->output_data.ns);
>> >     Pip> +  f->output_data.ns = NULL;
>> >  
>> >     Pip>    unblock_input ();
>> >     Pip>  }
>> >
>> > That has fixed things for me, not been able to crash it with Andrii's
>> > recipe (I had to increase the number of frames to get it to crash).
>> >
>> > Robert
>> 
>> I compiled HEAD with this patch applied, and it still crashed but with
>> the other crash cause (in Fmouse_pixel_position).
>
> Can you show the values of variables I asked about regarding that
> crash?

Sorry, no. I wasn't running under gdb when that crash occurred (now I do). And I wasn't aware that you asked about some variables for this particular crash. Only for the other one with all the  mark-related stuff. So which variables would that be? I couldn't find it in the discussion.
-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]